com.buschmais.jqassistant.plugin.javaee6.api.model

## Interface WebXmlDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, VersionDescriptor, WebDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      public interface WebXmlDescriptor
      extends WebDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor, VersionDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ParamValueDescriptor>` | `getContextParams()`
    `List<ErrorPageDescriptor>` | `getErrorPages()`
    `List<FilterMappingDescriptor>` | `getFilterMappings()`
    `List<FilterDescriptor>` | `getFilters()`
    `List<ListenerDescriptor>` | `getListeners()`
    `List<LoginConfigDescriptor>` | `getLoginConfigs()`
    `List<SecurityConstraintDescriptor>` | `getSecurityConstraints()`
    `List<SecurityRoleDescriptor>` | `getSecurityRoles()`
    `List<ServletMappingDescriptor>` | `getServletMappings()`
    `List<ServletDescriptor>` | `getServlets()`
    `SessionConfigDescriptor` | `getSessionConfig()`
    `void` | `setSessionConfig(SessionConfigDescriptor sessionConfig)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      `getCharacterEncodingScheme, getRootElement, getXmlVersion, isStandalone, isXmlWellFormed, setCharacterEncodingScheme, setRootElement, setStandalone, setXmlVersion, setXmlWellFormed`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.javaee6.api.model.VersionDescriptor

      `getVersion, setVersion`

- - ### Method Detail

    - #### getSessionConfig

          @Relation(value="HAS_SESSION_CONFIG")
          SessionConfigDescriptor getSessionConfig()

    - #### setSessionConfig

          void setSessionConfig(SessionConfigDescriptor sessionConfig)

    - #### getServlets

          @Relation(value="HAS_SERVLET")
          List<ServletDescriptor> getServlets()

    - #### getServletMappings

          @Relation(value="HAS_SERVLET_MAPPING")
          List<ServletMappingDescriptor> getServletMappings()

    - #### getFilters

          @Relation(value="HAS_FILTER")
          List<FilterDescriptor> getFilters()

    - #### getFilterMappings

          @Relation(value="HAS_FILTER_MAPPING")
          List<FilterMappingDescriptor> getFilterMappings()

    - #### getListeners

          @Relation(value="HAS_LISTENER")
          List<ListenerDescriptor> getListeners()

    - #### getContextParams

          @Relation(value="HAS_CONTEXT_PARAM")
          List<ParamValueDescriptor> getContextParams()

    - #### getErrorPages

          @Relation(value="HAS_ERROR_PAGE")
          List<ErrorPageDescriptor> getErrorPages()

    - #### getSecurityConstraints

          @Relation(value="HAS_SECURITY_CONSTRAINT")
          List<SecurityConstraintDescriptor> getSecurityConstraints()

    - #### getSecurityRoles

          @Relation(value="HAS_SECURITY_ROLE")
          List<SecurityRoleDescriptor> getSecurityRoles()

    - #### getLoginConfigs

          @Relation(value="HAS_LOGIN_CONFIG")
          List<LoginConfigDescriptor> getLoginConfigs()

Copyright © 2015 buschmais GbR. All rights reserved.